{-# LANGUAGE OverloadedStrings #-}
module Sender where
  
import Network.Mail.Mime
import Network.Mail.SMTP
import qualified Data.Text as ST
import qualified Data.Text.Lazy as LT


generateMail :: ST.Text -> ST.Text -> ST.Text -> LT.Text -> Mail
generateMail to from subj = simpleMail' (Address Nothing to) (Address Nothing from) subj

--     domain -> Username -> password -> To  -> From   -> Subject -> Body
send :: String -> String -> String -> ST.Text -> ST.Text -> ST.Text -> LT.Text -> IO ()
send domain user pass to from subj body = sendMailWithLoginTLS domain user pass mail
  where
    mail = generateMail to from subj body

